Name:          openh264
Version:       2.6.0
Release:       1mamba
Summary:       A codec library which supports H.264 encoding and decoding
Group:         Applications/Graphics
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.openh264.org/
Source:        https://github.com/cisco/openh264.git/v%{version}/openh264-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: meson
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
OpenH264 is a codec library which supports H.264 encoding and decoding. It is suitable for use in real time applications such as WebRTC.

%package -n lib%{name}
Group:         System/Libraries
Summary:       A codec library which supports H.264 encoding and decoding

%description -n lib%{name}
OpenH264 is a codec library which supports H.264 encoding and decoding. It is suitable for use in real time applications such as WebRTC.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%prep
%setup -q

%build
%meson
%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libopenh264.so.*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/wels
%{_includedir}/wels/*.h
%{_libdir}/libopenh264.so
%{_libdir}/pkgconfig/openh264.pc
%doc README.md


%changelog
* Thu Feb 13 2025 Automatic Build System <autodist@openmamba.org> 2.6.0-1mamba
- automatic version update by autodist

* Fri Nov 08 2024 Automatic Build System <autodist@openmamba.org> 2.5.0-1mamba
- automatic version update by autodist

* Wed Oct 09 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.1-1mamba
- package created using the webbuild interface
